commit:     e25720d1cb051aae13aa240c8b1c5084da47dd2e
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 10 13:24:57 2020 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Tue Nov 10 13:24:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e25720d1

x11-terms/mlterm: new upstream release

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>

 x11-terms/mlterm/Manifest            |   1 +
 x11-terms/mlterm/mlterm-3.9.1.ebuild | 128 +++++++++++++++++++++++++++++++++++
 2 files changed, 129 insertions(+)

diff --git a/x11-terms/mlterm/Manifest b/x11-terms/mlterm/Manifest
index 9c329eaaafe..46aa34a341f 100644
--- a/x11-terms/mlterm/Manifest
+++ b/x11-terms/mlterm/Manifest
@@ -1,2 +1,3 @@
 DIST mlterm-3.8.9.tar.gz 4101898 BLAKE2B 
81ce300f16dcf6bc1f3e0467fc4646aa263a222965f10d87a8010a70af9f675965f184a5f1a7909b43d6375fc951e98854ee41af10c2cebfd03697560fb5856b
 SHA512 
0bd5468dc58095fd9432922490178fe14335724cee08d2f509e8f72a4d5f9aea9ff2f0672706e5290219575f47a1ff15dccb4e21e318c89dd5718fe6ef694c0c
 DIST mlterm-3.9.0.tar.gz 4143644 BLAKE2B 
01e95b0319526e03a009e6b2f1467287a6ecc2ec29c4808c486a779896f183cf9f1732baba38c02150db89ef9e6754760df308ba477cca916f60d167062ea13c
 SHA512 
d89340eb460904ca36c6ed063b356625d9c9b4ad129dc51640d50a04e166f8239124d0003db778376c47daa6311c869f9fe7e337c90937fed5ae4151f5af57c4
+DIST mlterm-3.9.1.tar.gz 4175186 BLAKE2B 
030d9144e7c835c895269fd19f89ece7c0dae9ca3f1d4425a1d409b9ac78a530431a4e05ef685d178748a35f9fae77414286a38a412a0496433b8324a22a73dd
 SHA512 
1337b884971b2c4c2c3140388f07927101a947b0268f547611f4f4ece49c8d0954c068789ee7c92c82db114021c77c08416db30233149c8964e827ab901cc870

diff --git a/x11-terms/mlterm/mlterm-3.9.1.ebuild 
b/x11-terms/mlterm/mlterm-3.9.1.ebuild
new file mode 100644
index 00000000000..e92e036f1ff
--- /dev/null
+++ b/x11-terms/mlterm/mlterm-3.9.1.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit desktop
+
+DESCRIPTION="A multi-lingual terminal emulator"
+HOMEPAGE="http://mlterm.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="bidi brltty cairo canna debug fbcon fcitx freewnn gtk gtk2 harfbuzz ibus 
libssh2 m17n-lib nls regis scim skk static-libs uim utempter wayland xft"
+REQUIRED_USE="gtk2? ( gtk )"
+
+RDEPEND="x11-libs/libICE
+       x11-libs/libSM
+       x11-libs/libX11
+       bidi? ( dev-libs/fribidi )
+       brltty? ( app-accessibility/brltty )
+       cairo? ( x11-libs/cairo[X(+)] )
+       canna? ( app-i18n/canna )
+       fbcon? ( media-fonts/unifont )
+       fcitx? ( app-i18n/fcitx )
+       freewnn? ( app-i18n/freewnn )
+       gtk? (
+               gtk2? ( x11-libs/gtk+:2 )
+               !gtk2? ( x11-libs/gtk+:3 )
+       )
+       harfbuzz? ( media-libs/harfbuzz[truetype(+)] )
+       ibus? ( app-i18n/ibus )
+       libssh2? ( net-libs/libssh2 )
+       m17n-lib? ( dev-libs/m17n-lib )
+       nls? ( virtual/libintl )
+       regis? (
+               || (
+                       media-libs/sdl-ttf
+                       media-libs/sdl2-ttf
+               )
+       )
+       scim? ( app-i18n/scim )
+       skk? (
+               || (
+                       virtual/skkserv
+                       app-i18n/skk-jisyo
+               )
+       )
+       uim? ( app-i18n/uim )
+       utempter? ( sys-libs/libutempter )
+       wayland? ( dev-libs/wayland )
+       xft? ( x11-libs/libXft )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )"
+
+PATCHES=( "${FILESDIR}"/${PN}-font.patch )
+DOCS=( doc/{en,ja} )
+
+src_prepare() {
+       # default config
+       sed -i \
+               -e "/ icon_path =/aicon_path = 
${EPREFIX}/usr/share/pixmaps/${PN}-icon.svg" \
+               -e "/ scrollbar_view_name =/ascrollbar_view_name = sample" \
+               etc/main
+
+       default
+}
+
+src_configure() {
+       local myconf=(
+               $(use_enable bidi fribidi)
+               $(use_enable brltty brlapi)
+               $(use_enable canna)
+               $(use_enable debug)
+               $(use_enable fcitx)
+               $(use_enable freewnn wnn)
+               $(use_enable harfbuzz otl)
+               $(use_enable ibus)
+               $(use_enable libssh2 ssh2)
+               $(use_enable m17n-lib m17nlib)
+               $(use_enable nls)
+               $(use_enable scim)
+               $(use_enable skk)
+               $(use_enable uim)
+               --with-gui=xlib$(usex fbcon ",fb" "")$(usex wayland ",wayland" 
"")
+               --with-type-engines=xcore$(usex xft ",xft" "")$(usex cairo 
",cairo" "")
+               --with-utmp=$(usex utempter utempter none)
+               --enable-optimize-redrawing
+               --enable-vt52
+               --disable-static
+       )
+
+       local scrollbars="sample,extra"
+       local tools="mlclient,mlcc,mlfc,mlmenu,${PN}-zoom"
+       if use gtk; then
+               myconf+=(
+                       $(use_with gtk gtk $(usex gtk2 2.0 3.0))
+                       --with-imagelib=gdk-pixbuf
+               )
+               scrollbars+=",pixmap_engine"
+               tools+=",mlconfig,mlimgloader"
+       fi
+       if use regis; then
+               tools+=",registobmp"
+       fi
+       myconf+=( --with-scrollbars="${scrollbars}" )
+       myconf+=( --with-tools="${tools}" )
+
+       addpredict /dev/ptmx
+       econf "${myconf[@]}"
+}
+
+src_test() {
+       :
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+
+       docinto contrib/icon
+       dodoc contrib/icon/README
+
+       doicon contrib/icon/${PN}*
+       make_desktop_entry ${PN} ${PN} ${PN}-icon "System;TerminalEmulator"
+}

Reply via email to